Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 190778 - The new Profile Me icon need the small version
The new Profile Me icon need the small version
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Window System
7.0
PC All
: P3 (vote)
: 7.0
Assigned To: Stanislav Aubrecht
issues@platform
issue_reviewed
: NETFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-05 16:20 UTC by Michel Graciano
Modified: 2010-11-09 15:47 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Corrected images (5.57 KB, application/octet-stream)
2010-10-05 16:54 UTC, Michel Graciano
Details
Patch (7.68 KB, patch)
2010-10-11 21:25 UTC, Michel Graciano
Details | Diff
small version of profile IDE icons (4.18 KB, application/zip)
2010-11-03 08:26 UTC, Ondrej Langr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Graciano 2010-10-05 16:20:36 UTC
When I change the toolbar icons to small the Profile the IDE icon has no small version which avoid the toolbar to get smaller.
Comment 1 Michel Graciano 2010-10-05 16:54:23 UTC
Created attachment 102272 [details]
Corrected images

I have resized and renamed images. It is just necessary to put it at core.ui/src/org/netbeans/core/ui/sampler folder, replace the old ones, and it should be fixed.
I don't know how to export a patch with binary attached for Mercurial so I am attaching only the binaries.
Comment 2 Michel Graciano 2010-10-11 21:25:43 UTC
Created attachment 102357 [details]
Patch

I think I was able to create a patch with binary files. I created the attached patch with hg diff -g command and I hope it is enough.
Comment 3 Michel Graciano 2010-10-13 12:34:16 UTC
I am marking this as a NetFIX issue. I hope it is not a problem for you.

Thanks
Comment 4 Jiri Kovalsky 2010-10-13 12:53:46 UTC
Ondro, can you please take a look at this? Thanks!
Comment 5 Ondrej Langr 2010-10-15 08:25:07 UTC
Even the graphics attached are temporary .. we're waiting for the proper icon from graphic designers. I'll make sure we have them for the small toolbar as well.
Comment 6 Ondrej Langr 2010-10-15 09:08:04 UTC
Reading this issue again, it is about the toolbar being prevented from going small .. which the patch attached will fix, so can we please integrate it?

My original concern was more about quality of these images, which will be a separate issue (i think it already exists).
Comment 7 Stanislav Aubrecht 2010-10-15 09:41:38 UTC
patch integrated in core-main d2abdf1fcb79
Comment 8 Jiri Kovalsky 2010-10-15 11:26:17 UTC
Thank you guys and thanks Michel for your help!
Comment 9 Michel Graciano 2010-10-15 12:39:23 UTC
Thanks you to integrate it. About the image quality, I used the original for 24x24 version and just resized it to 16x16. I am not a image guy, so I can't help so much about create a new one :)
I will verify it as soon as it hit the main repo.

Thanks again
Comment 10 Quality Engineering 2010-10-16 02:54:40 UTC
Integrated into 'main-golden', will be available in build *201010160000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/d2abdf1fcb79
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #190778 - small icon for profile me action
Comment 11 Michel Graciano 2010-10-18 11:31:17 UTC
v. 101015-e66a1505576a
Comment 12 Ondrej Langr 2010-11-03 08:26:04 UTC
Created attachment 102764 [details]
small version of profile IDE icons 

Took some time, but we have small versions created by visual designer. 

Can we please integrate them?
Comment 13 Stanislav Aubrecht 2010-11-03 14:53:28 UTC
core-main 29755d89b822
Comment 14 Quality Engineering 2010-11-05 03:51:16 UTC
Integrated into 'main-golden', will be available in build *201011050000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/29755d89b822
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #190778 - new (better) icons for profile me action
Comment 15 Michel Graciano 2010-11-05 15:34:08 UTC
Build 101105-e5e1e4f1fe6d
Comment 16 Michel Graciano 2010-11-09 15:47:56 UTC
v. 101109-e350c9825476


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo